Bug 391130 - Sometimes an arrow appears before screenshot loading is completed
Summary: Sometimes an arrow appears before screenshot loading is completed
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.2
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-26 22:23 UTC by Patrick Silva
Modified: 2018-10-19 18:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.3


Attachments
demonstration (150.02 KB, image/png)
2018-02-26 22:23 UTC, Patrick Silva
Details
screenshot on neon dev unstable (310.59 KB, image/png)
2018-03-15 13:11 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-02-26 22:23:51 UTC
Created attachment 111031 [details]
demonstration

See screenshot taken on neon dev unstable.
Mainly flatpak apps are affected.
Comment 1 Nate Graham 2018-02-27 03:55:45 UTC
Unrelatedly, what happens if you click on the "Sort" button that's visible in your screenshot? Something, or nothing?
Comment 2 Patrick Silva 2018-02-27 04:13:02 UTC
Hi Nate
A menu with sorting options is opened.
Comment 3 Aleix Pol 2018-02-27 13:13:40 UTC
Git commit 76b90f4069c8166bf037536ae9a98f77bee8ac4c by Aleix Pol.
Committed on 27/02/2018 at 13:13.
Pushed by apol into branch 'Plasma/5.12'.

Show a busy indicator when screenshots are fetching

M  +7    -1    discover/qml/ApplicationScreenshots.qml

https://commits.kde.org/discover/76b90f4069c8166bf037536ae9a98f77bee8ac4c
Comment 4 Patrick Silva 2018-03-15 13:11:53 UTC
Created attachment 111415 [details]
screenshot on neon dev unstable

Not fixed on neon dev unstable.
Comment 5 Aleix Pol 2018-03-15 13:56:21 UTC
Well we can't have the screenshot available when you please, it needs downloading.
That's why we show the busy indicator.
Comment 6 Nate Graham 2018-03-15 13:59:37 UTC
The problem in the linked screenshot is that there's a right arrow next to the busy indicator.
Comment 7 Patrick Silva 2018-03-15 14:15:08 UTC
(In reply to Nate Graham from comment #6)
> The problem in the linked screenshot is that there's a right arrow next to
> the busy indicator.

Exactly.
Comment 8 Aleix Pol 2018-03-15 16:49:44 UTC
Because there's more screenshots to show. How would having the screenshot downloaded have an impact on the navigation?

When you press the right arrow it will also show the spinning thing for the next screenshot, and then the left and right arrows.
Comment 9 Nate Graham 2018-03-15 17:12:23 UTC
The point is, visually, it doesn't really make sense to show the arrow when there's a spinner instead of a screenshot.
Comment 10 Patrick Silva 2018-10-16 17:03:59 UTC
why was this report marked as "later"? 
Still valid fro Discover 5.14.1
Comment 11 Aleix Pol 2018-10-19 18:53:28 UTC
Git commit a0faaed8bfbb6632314e8300886bbba4afd126cc by Aleix Pol.
Committed on 19/10/2018 at 18:50.
Pushed by apol into branch 'Plasma/5.14'.

ux: hide navigation arrows while downloading a screenshot

People seem to get stressed if they can navigate while downloading a
screenshot.

M  +3    -2    discover/qml/ApplicationScreenshots.qml

https://commits.kde.org/discover/a0faaed8bfbb6632314e8300886bbba4afd126cc